Bug 155826 - Update port: emulators/bochs to 1.4.6
Summary: Update port: emulators/bochs to 1.4.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-22 18:20 UTC by tkato432
Modified: 2011-06-25 06:50 UTC (History)
0 users

See Also:


Attachments
file.diff (3.50 KB, patch)
2011-03-22 18:20 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2011-03-22 18:20:14 UTC
- Update to version 1.4.6
Comment 1 Martin Wilke freebsd_committer 2011-03-22 23:12:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2011-03-25 08:27:26 UTC
State Changed
From-To: open->feedback

fails to build 
http://32bit.miwibox.org/index.php?action=describe_port&id=1306 
http://64bit.miwibox.org/index.php?action=describe_port&id=1559
Comment 3 tkato432 2011-06-21 19:00:07 UTC
Remake of the patch against current tree.


diff -urN /usr/ports/emulators/bochs/Makefile emulators/bochs/Makefile
--- /usr/ports/emulators/bochs/Makefile	2010-12-04 22:29:07.000000000 +0900
+++ emulators/bochs/Makefile	2011-03-25 18:36:42.000000000 +0900
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	bochs
-PORTVERSION=	2.4.5
+PORTVERSION=	2.4.6
 PORTEPOCH=	2
 CATEGORIES=	emulators
 MASTER_SITES=	SF
@@ -16,7 +16,7 @@
 
 USE_GMAKE=	yes
 USE_AUTOTOOLS=	libtool
-CONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
+CONFIGURE_ENV=	LDFLAGS="${LDFLAGS}"
 CONFIGURE_ARGS=	--disable-docbook
 
 OPTIONS=	A20_PIN "Enable support for A20 pin" on \
@@ -26,6 +26,7 @@
 		CDROM "Enable CDROM support" on \
 		CLGD54XX "Enable Cirrus Logic GD54xx video card" off \
 		CONF_MSRS "Enable configurable MSR registers support" on \
+		CPP_SUFX "Use .cpp as C++ suffix" off \
 		DEBUGGER "Enable debugger support" off \
 		DEBUGGER_X86 "Enable x86 hardware debugger" off \
 		DISASM "Enable disassemler support " on \
@@ -33,6 +34,7 @@
 		FPU "Enable FPU emulator" on \
 		GAMEPORT "Enable standard PC gameport support" off \
 		GDB_STUB "Enable GDB stub support" off \
+		HS_ASMS "Enable support for host specific inline asms" off \
 		IDLE_HACK "Keep Bochs from using all CPU time" off \
 		INSTRUMENT "Enable support for instrumentation" off \
 		IODEBUG "Enable I/O interface to debugger" off \
@@ -41,7 +43,6 @@
 		MISALIGNEDSSE "Enable misaligned SSE support" off \
 		MWAIT "Enable experimental MONITOR/MWAIT support" off \
 		NE2000 "Enable limited ne2000 support" on \
-		NEW_PIT "Enable use of the new PIT model" on \
 		OPTIMIZATIONS "Enable all safe speeed optimizations" on \
 		PCI "Enable limited i440FX PCI support" on \
 		PLUGINS "Enable building dynamic loadable plugins" off \
@@ -63,6 +64,7 @@
 		VMX "Enable Virtialization extensions" off \
 		WX "Use WxWidgets display interface" off \
 		X11 "Use X11 display interface" on \
+		X2APIC "Enable support for X2APIC" off \
 		X86_64 "Enable AMD x86-64 support" off \
 		XPM "Enable XPM library support" off
 
@@ -125,6 +127,12 @@
 CONFIGURE_ARGS+=--enable-configurable-msrs
 .endif
 
+.if defined(WITH_CPP_SUFX)
+CONFIGURE_ARGS+=--enable-cpp
+.else
+CONFIGURE_ARGS+=--disable-cpp
+.endif
+
 .if defined(WITH_DEBUGGER)
 CONFIGURE_ARGS+=--enable-debugger
 .else
@@ -167,6 +175,12 @@
 CONFIGURE_ARGS+=--disable-gdb-stub
 .endif
 
+.if defined(WITH_HS_ASMS)
+CONFIGURE_ARGS+=--enable-host-specific-asms
+.else
+CONFIGURE_ARGS+=--disable-host-specific-asms
+.endif
+
 .if defined(WITH_IDLE_HACK)
 CONFIGURE_ARGS+=--enable-idle-hack
 .else
@@ -215,12 +229,6 @@
 CONFIGURE_ARGS+=--disable-ne2000
 .endif
 
-.if !defined(WITH_NEW_PIT)
-CONFIGURE_ARGS+=--disable-new-pit
-.else
-CONFIGURE_ARGS+=--enable-new-pit
-.endif
-
 .if defined(WITH_OPTIMIZATIONS)
 CONFIGURE_ARGS+=--enable-all-optimizations
 .else
@@ -338,18 +346,24 @@
 .endif
 
 .if defined(WITH_X11)
-USE_XORG=	xext xt
+USE_XORG=	xrandr
 CONFIGURE_ARGS+=--with-x11
 .endif
 
+.if defined(WITH_X2APIC)
+CONFIGURE_ARGS+=--enable-x2apic
+.else
+CONFIGURE_ARGS+=--disable-x2apic
+.endif
+
 .if defined(WITH_X86_64)
 CONFIGURE_ARGS+=--enable-x86-64
 .else
 CONFIGURE_ARGS+=--disable-x86-64
 .endif
 
-.if defined(WITH_XPM)
-USE_XORG=	xpm
+.if defined(WITH_XPM) && defined(WITH_X11)
+USE_XORG+=	xpm
 CONFIGURE_ARGS+=--enable-xpm
 .else
 CONFIGURE_ARGS+=--disable-xpm
diff -urN /usr/ports/emulators/bochs/distinfo emulators/bochs/distinfo
--- /usr/ports/emulators/bochs/distinfo	2010-07-15 16:13:58.000000000 +0900
+++ emulators/bochs/distinfo	2011-03-14 05:01:52.000000000 +0900
@@ -1,3 +1,2 @@
-MD5 (bochs-2.4.5.tar.gz) = fda7eadcd9590934d2901f8439631463
-SHA256 (bochs-2.4.5.tar.gz) = b948622a364c2e7da4221a6a4640ba2efa68422e1411ac377c69d37f46f67616
-SIZE (bochs-2.4.5.tar.gz) = 4059598
+SHA256 (bochs-2.4.6.tar.gz) = 689dcc5fccfd70c8340a54986f0cb9c2824009ed602718802868333da9ac53b9
+SIZE (bochs-2.4.6.tar.gz) = 4067147
Comment 4 Martin Wilke freebsd_committer 2011-06-25 06:40:44 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2011-06-25 06:40:51 UTC
miwi        2011-06-25 05:40:38 UTC

  FreeBSD ports repository

  Modified files:
    emulators/bochs      Makefile distinfo 
  Log:
  - Update to 1.4.6
  
  PR:             155826
  Submitted by:   Ports Fury
  
  Revision  Changes    Path
  1.90      +26 -12    ports/emulators/bochs/Makefile
  1.36      +2 -3      ports/emulators/bochs/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"